POST /Command/SearchIncident
Search incidents based on the given search criteria.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Site Name |
|
Optional |
The site to search incident in. If left empty, will search across all internal sites if the runtime site is an internal site, otherwise will use the current runtime site. |
|
Incident Type |
|
Optional |
The type of the incidents. |
|
Start Time UTC |
|
Optional |
The earliest UTC report time of incidents. |
|
End Time UTC |
|
Optional |
The latest UTC report time of incidents. |
|
Status |
|
Optional |
The status of the incidents. |
|
Wildcard Search |
|
Optional |
A general search string for incidents. |
|
Username |
|
Optional |
The username of user who accesses the incidents. This username will only be used when the task auto-runs. If left empty, will default to the system user. Must not be empty or use the system user if searching across all internal sites. |
|
Top Number |
|
Optional |
Specify the number of records to return. The default value is 100. |
READER NOTE
For Date/Time parameters Start Time UTC and End Time UTC, all times and timestamps must follow the format: yyyy-mm-dd hh:mm:ss.
-
e.g. May 15, 2024, 2:32 PM should be written as 2024-05-15 14:32:00.